### Hierarchy

- VerifyRepositoryImpl

### Implements

- VerifyRepository

## Index

### Constructors

- constructor

### Methods

- getAccountsByPublicKeys
- getAllAccounts
- getOfferSearchesByIds

## Constructors

### constructor

- new VerifyRepositoryImpl(transport: HttpTransport): VerifyRepositoryImpl

- - Defined in repository/verify/VerifyRepositoryImpl.ts:13

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns VerifyRepositoryImpl

## Methods

### getAccountsByPublicKeys

- getAccountsByPublicKeys(publicKeys: Array<string>): Promise<Array<Account>>

- Implementation of VerifyRepository.getAccountsByPublicKeys

  - Defined in repository/verify/VerifyRepositoryImpl.ts:27

  #### Parameters

  - ##### publicKeys: Array<string>

  #### Returns Promise<Array<Account>>

### getAllAccounts

- getAllAccounts(fromDate: Date): Promise<Array<Account>>

- Implementation of VerifyRepository.getAllAccounts

  - Defined in repository/verify/VerifyRepositoryImpl.ts:35

  #### Parameters

  - ##### fromDate: Date

  #### Returns Promise<Array<Account>>

### getOfferSearchesByIds

- getOfferSearchesByIds(ids: Array<number>): Promise<Array<OfferSearch>>

- Implementation of VerifyRepository.getOfferSearchesByIds

  - Defined in repository/verify/VerifyRepositoryImpl.ts:19

  #### Parameters

  - ##### ids: Array<number>

  #### Returns Promise<Array<OfferSearch>>

Generated using TypeDoc